| Home | Libraries | People | FAQ | More

###### value::value (6 of 35 overloads)

Move constructor.

###### Synopsis

    value(
        value&& other);

###### Description

The value is constructed by acquiring ownership of the contents of `other` and shared ownership of `other`'s memory resource.

###### Remarks

After construction, the moved-from value becomes a null value with its current storage pointer.

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.

###### Parameters

Name | Description
--- | ---
`other` | The value to move.